org.springframework.data.repository.support

## Interface RepositoryInvocationInformation

All Known Subinterfaces:
  RepositoryInvoker

All Known Implementing Classes:
  QuerydslRepositoryInvokerAdapter

    public interface RepositoryInvocationInformation

Meta-information about the methods a repository exposes.

Since:
  1.10
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasDeleteMethod()` Returns whether the repository has a method to delete objects.
`boolean` `hasFindAllMethod()` Returns whether the repository has a method to find all objects.
`boolean` `hasFindOneMethod()` Returns whether the repository has a method to find a single object.
`boolean` `hasSaveMethod()` Returns whether the repository has a method to save objects.

### Method Detail

#### hasSaveMethod

    boolean hasSaveMethod()

Returns whether the repository has a method to save objects.

Returns:

#### hasDeleteMethod

    boolean hasDeleteMethod()

Returns whether the repository has a method to delete objects.

Returns:

#### hasFindOneMethod

    boolean hasFindOneMethod()

Returns whether the repository has a method to find a single object.

Returns:

#### hasFindAllMethod

    boolean hasFindAllMethod()

Returns whether the repository has a method to find all objects.

Returns: